## NAME

r.composite - Combines red, green and blue map layers into a single composite map layer.

## KEYWORDS

raster

## SYNOPSIS

r.composite
r.composite help
r.composite [-dc] red=string green=string blue=string [levels=integer] [lev_red=integer] [lev_green=integer] [lev_blue=integer] output=string [--overwrite]

### Flags:

-d
  Dither
-c
  Use closest color
--overwrite
  Force overwrite of output files

### Parameters:

red=string
  Name of raster map layer to be used for <red>
green=string
  Name of raster map layer to be used for <green>
blue=string
  Name of raster map layer to be used for <blue>
levels=integer
  Number of levels to be used for each component
  Options: 1-256
  Default: 32
lev_red=integer
  Number of levels to be used for <red>
  Options: 1-256
lev_green=integer
  Number of levels to be used for <green>
  Options: 1-256
lev_blue=integer
  Number of levels to be used for <blue>
  Options: 1-256
output=string
  Name of raster map to contain results

## DESCRIPTION

This program combines three raster map layers to form a composite RGB layer. For each layer, the corresponding component from the layer's color table is used (e.g. for the red layer, the red component is used, and so on). In general, the layers should use a gray-scale color table.

## NOTES

The default number of intensity levels for each component is 32, resulting in a total of 32768 possible colors (equivalent to 15 bits per pixel). If significantly more levels than this are used, not only will r.composite take longer to run, but displaying the resulting layer with d.rast will also be significantly slower.

Floyd-Steinberg dithering is optionally used.

## SEE ALSO

d.rast, d.rgb, r.blend, r.colors

## AUTHOR

Glynn Clements

Last changed: $Date: 2005/03/01 20:18:14 $

Main index - raster index - Full index